# `NullCodec`

digraph inheritance7945c8fae6 { bgcolor=transparent; rankdir=UD; ratio=compress; size="8.0, 12.0"; "Codec" [URL="taurus.core.util.codecs-Codec.html#taurus.core.util.codecs.Codec",color=dodgerblue1,fillcolor=white,fontcolor=black,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.5,shape=box,style=rounded,target="_top",tooltip="The base class for all codecs"]; "Logger" -> "Codec" [arrowsize=0.5,style="setlinewidth(0.5)"]; "Logger" [URL="taurus-Logger.html#taurus.Logger",color=dodgerblue1,fillcolor=white,fontcolor=black,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.5,shape=box,style=rounded,target="_top",tooltip="The taurus logger class. All taurus pertinent classes should inherit"]; "NullCodec" [URL="#taurus.core.util.codecs.NullCodec",color=dodgerblue1,fillcolor=white,fontcolor=black,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.5,shape=box,style=rounded,target="_top"]; "Codec" -> "NullCodec" [arrowsize=0.5,style="setlinewidth(0.5)"]; }

class NullCodec

  Import from `taurus.core.util.codecs` as:

      from taurus.core.util.codecs import NullCodec

  decode(data, *args, **kwargs)

    decodes with Null encoder. Just returns the given data

    Parameters:

      data (sequence[str, obj]) – a sequence of two elements where the first item is the encoding format of the second item object

    Returns:

      a sequence of two elements where the first item is the encoding format of the second item object

    Return type:

      sequence[str, obj]

  encode(data, *args, **kwargs)

    encodes with Null encoder. Just returns the given data

    Parameters:

      data (sequence[str, obj]) – a sequence of two elements where the first item is the encoding format of the second item object

    Returns:

      a sequence of two elements where the first item is the encoding format of the second item object

    Return type:

      sequence[str, obj]